import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询答辩小组-教师
export function queryDefenceGroupTeacher(params) {
    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.query,
        method: 'get',
        params,
    })
}

// 获取答辩小组-教师
export function getDefenceGroupTeacher(id) {
    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增答辩小组-教师
export function createDefenceGroupTeacher(data) {
    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.create,
        method: 'post',
        data
    })
}


// 修改答辩小组-教师
export function updateDefenceGroupTeacher(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除答辩小组-教师
export function deleteDefenceGroupTeacher(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除答辩小组-教师
export function deletesDefenceGroupTeacher(data) {
    return request({
        url: ApiPath.graduation.gradBase.defenceTeacher.deletes,
        method: 'post',
        data
    })
}
