
import request from 'string-edu-middleware/utils/request'

import {EDU_BUSINESS_GRADE_PRINT_SERVICE} from "string-edu-middleware/api/index"
// history grade  历史成绩 

// 查询历史成绩
export function queryHistoryGrade(params) {
    return request({
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/cj/`,
        method: `get`,
        params
    })
}

// 历史成绩单打印 
export function printHistoryGrade(data) {
    return request({
        responseType: `blob`,
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/cj/print/`,
        method: `post`,
        data
    })
}


// 查询历史学生
export function queryHistoryStudent(params) {
    return request({
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/xs/`,
        method: `get`,
        params
    })
}

// 查询历史班级
export function queryHistoryClass(params) {
    return request({
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/bj/`,
        method: `get`,
        params
    })
}

// 查询历史系部
export function queryHistoryOrgs(params) {
    return request({
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/xb/`,
        method: `get`,
        params
    })
}

// 查询学期
export function queryHistoryTerm(params) {
    return request({
        url: `${EDU_BUSINESS_GRADE_PRINT_SERVICE}/xq/`,
        method: `get`,
        params
    })
}
