import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'
 
// 查询考核方式
export function queryExamineMode(params) {

    return request({
        url: ApiPath.education.edu.base.examineMode.query,
        method: 'get',
        params
    })
}

// 获取考核方式
export function getExamineMode(id) {
    return request({
        url: ApiPath.education.edu.base.examineMode.get.replace("<id>",id),
        method: 'get',
    })
}

const createData = {
    code: "",
    name: "",
    address: "",
}
// 新增考核方式
export function createExamineMode(data) {
    return request({
        url: ApiPath.education.edu.base.examineMode.create,
        method: 'post',
        data
    })
}

const updateData = {
   code: "",
   name: "",
   address: "",
}
// 修改考核方式
export function updateExamineMode(id, data) {
    return request({
        url: ApiPath.education.edu.base.examineMode.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除考核方式
export function deleteExamineMode(id,data) {
    return request({
        url: ApiPath.education.edu.base.examineMode.delete.replace("<id>",id),
        method: 'post',
        data
    })
}


