import ApiPath from "string-edu-middleware/api/path"

import request from 'string-edu-middleware/utils/request'

const queryParams = {
    search:"",
    
    pageIndex: "",
    pageSize: ""
}
// 查询专业群理事会成员
export function queryMajorCouncilMember(params) {

    return request({
        url: ApiPath.education.edu.base.concilMember.query,
        method: 'get',
        params
    })
}

// 获取专业群理事会成员
export function getMajorCouncilMember(id) {
    return request({
        url: ApiPath.education.edu.base.concilMember.get.replace("<id>",id),
        method: 'get',
    })
}

const createData = {
    code: "",
    name: "",
    address: "",
}
// 新增专业群理事会成员
export function createMajorCouncilMember(data) {
    return request({
        url: ApiPath.education.edu.base.concilMember.create,
        method: 'post',
        data
    })
}

const updateData = {
   code: "",
   name: "",
   address: "",
}
// 修改专业群理事会成员
export function updateMajorCouncilMember(id, data) {
    return request({
        url: ApiPath.education.edu.base.concilMember.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除专业群理事会成员
export function deleteMajorCouncilMember(id,data) {
    return request({
        url: ApiPath.education.edu.base.concilMember.delete.replace("<id>",id),
        method: 'post',
        data
    })
}

