import ApiPath from "string-edu-middleware/api/path"
// import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'

 
 
// 查询专业群
export function queryMajorGroup(params) { 
  return request({
    url: ApiPath.education.edu.base.group.query,
    method: 'get',
    params
  })
}

// 获取专业群
export function getMajorGroup(id) {
  return request({
    url: ApiPath.education.edu.base.group.get.replace("<id>", id),
    method: 'get',
  })
}


const createData = {
  code: "",
  name: "",
  address: "",
}
// 新增专业群
export function createMajorGroup(data) {
  return request({
    url: ApiPath.education.edu.base.group.create,
    method: 'post',
    data
  })
}

const updateData = {
  code: "",
  name: "",
  address: "",
}
// 修改专业群
export function updateMajorGroup(id, data) {
  return request({
    url: ApiPath.education.edu.base.group.update.replace("<id>", id),
    method: 'post',
    data
  })
}

// 删除专业群
export function deleteMajorGroup(id, data) {
  return request({
    url: ApiPath.education.edu.base.group.delete.replace("<id>", id),
    method: 'post',
    data
  })
}
