import ApiPath from "string-edu-middleware/api/path"
// import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'

 
// 查询专业方向
export function queryMajorOrientation(params) { 
    return request({
        url: ApiPath.education.edu.base.majorOrientation.query,
        method: 'get',
        params
    })
}

// 获取专业方向
export function getMajorOrientation(id) {
    return request({
        url: ApiPath.education.edu.base.majorOrientation.get.replace("<id>",id),
        method: 'get',
    })
}

 
// 新增专业方向
export function createMajorOrientation(data) {
    return request({
        url: ApiPath.education.edu.base.majorOrientation.create,
        method: 'post',
        data
    })
}

// 修改专业方向
export function updateMajorOrientation(id, data) {
    return request({
        url: ApiPath.education.edu.base.majorOrientation.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除专业方向
export function deleteMajorOrientation(id,data) {
    return request({
        url: ApiPath.education.edu.base.majorOrientation.delete.replace("<id>",id),
        method: 'post',
        data
    })
}

