import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


const queryParams = {
        search: "",

        pageIndex: "",
        pageSize: ""
    }
    // 查询教学场所
export function querySchoolCalendar(params) {
    return request({
        url: ApiPath.education.edu.base.schoolCalendar.query,
        method: 'get',
        params
    })
}

// 获取教学场所
export function getSchoolCalendar(id) {
    return request({
        url: ApiPath.education.edu.base.schoolCalendar.get.replace("<id>", id),
        method: 'get',
    })
}


const createData = {
        "code": "",
        "name": "",
        "address": "",
    }
    // 新增教学场所
export function createSchoolCalendar(data) {
    return request({
        url: ApiPath.education.edu.base.schoolCalendar.create,
        method: 'post',
        data
    })
}

const updateData = {
        "code": "",
        "name": "",
        "address": "",
    }
    // 修改教学场所
export function updateSchoolCalendar(id, data) {
    return request({
        url: ApiPath.education.edu.base.schoolCalendar.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除教学场所
export function deleteSchoolCalendar(id) {
    return request({
        url: ApiPath.education.edu.base.schoolCalendar.delete.replace("<id>", id),
        method: 'post',
    })
}