import ApiPath from "string-edu-middleware/api/path" 
import request from 'string-edu-middleware/utils/request'
 
    // 查询校区
export function querySchoolRegion(params) {
    return request({
        url: ApiPath.education.edu.base.schoolRegion.query,
        method: 'get',
        params
    })
}

// 获取校区
export function getSchoolRegion(id) {
    return request({
        url: ApiPath.education.edu.base.schoolRegion.get.replace("<id>", id),
        method: 'get',
    })
} 

// 新增校区
export function createSchoolRegion(data) {
    return request({
        url: ApiPath.education.edu.base.schoolRegion.create,
        method: 'post',
        data
    })
}
 

// 修改校区
export function updateSchoolRegion(id, data) {
    return request({
        url: ApiPath.education.edu.base.schoolRegion.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除校区
export function deleteSchoolRegion(id) {
    console.log(ApiPath.education.edu.base.schoolRegion.delete.replace("<id>", id))
    return request({
        url: ApiPath.education.edu.base.schoolRegion.delete.replace("<id>", id),
        method: 'post',
    })
}