import request from 'string-edu-middleware/utils/request'
import { EDUCATION_PATH } from "string-edu-middleware/api/index"
// 查询学生基本信息
export function queryStudentInfo(params) {
 return request({
  url: `${EDUCATION_PATH}/base/student_info/`,
  method: 'get',
  params
 })
} 
 
// 查询学生基本信息-单个 single
export function getStudentInfo(id) {
 return request({
  url: `${EDUCATION_PATH}/base/student_info/${id}/`,
  method: 'get' 
 })
} 


// 修改单个学生基本信息
export function updateStudentInfo(id,data) {
 return request({
  url: `${EDUCATION_PATH}/base/student_info/${id}/update/`,
  method: 'post',
  data
 })
} 


 