import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import requestEdu from 'string-edu-middleware/utils/request'

const queryParams = {
    pageIndex: "",
    pageSize: ""
}
// 查询课次组合
export function queryTeachtype(params) { 
    return requestEdu({
        url: ApiPath.education.edu.base.teachtype.query,
        method: 'get',
        params
    })
}



// 获取课次组合
export function getTeachtype(id) {
    return requestEdu({
        url: ApiPath.education.edu.base.teachtype.get.replace("<id>", id),
        method: 'get',
    })
}



// 新增课次组合
export function createTeachtype(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.teachtype.create,
        method: 'post',
        data
    })
}



// 修改课次组合
export function updateTeachtype(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.teachtype.update,
        method: 'post',
        data
    })
}

// 删除课次组合
export function deleteTeachtype(id) {
    return requestEdu({
        url: ApiPath.education.edu.base.teachtype.delete.replace("<id>", id),
        method: 'post',
    })
}





// 查询 生源类型
export function queryStudentOriginType(params) {
    return requestEdu({
        url: ApiPath.education.edu.base.studentOriginType.query,
        method: 'get',
        params
    })
}


// 创建生源类型
export function createStudentOriginType(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.studentOriginType.create,
        method: 'post',
        data
    })
}


// 修改 生源类型
export function updateStudentOriginType(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.studentOriginType.update,
        method: 'post',
        data
    })
}


// 删除 生源类型
export function deleteStudentOriginType(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.studentOriginType.delete,
        method: 'post',
        data
    })
}




// 批量删除 生源类型
export function deletesStudentOriginType(data) {
    return requestEdu({
        url: ApiPath.education.edu.base.studentOriginType.deletes,
        method: 'post',
        data
    })
}