import request from 'string-edu-middleware/utils/request';
import { EDU_CREDIT_BANK_SERVICE_PATH } from 'string-edu-middleware/api/index'; 

export function queryAchievementProject(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gain/`,
        method: 'get',
        params
    })
}
export function getAchievementProject(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gain/${id}/get/`,
        method: 'get'
    })
}
export function deleteAchievementProject(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gain/${id}/delete/`,
        method: 'post'
    })
}
export function createAchievementProject(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gain/create/`,
        method: 'post',
        data
    })
}
export function updateAchievementProject(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gain/update/`,
        method: 'post',
        data
    })
}
