import request from 'string-edu-middleware/utils/request';
 
import { EDU_CREDIT_BANK_SERVICE_PATH } from 'string-edu-middleware/api/index';



export function queryDictionary(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/dictionary/`,
        method: 'get',
        params
    })
}
export function getDictionary(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/dictionary/${id}/get/`,
        method: 'get'

    })
}
export function deleteDictionary(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/dictionary/${id}/delete/`,
        method: 'post'
    })
}
export function createDictionary(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/dictionary/create/`,
        method: 'post',
        data
    })
}
export function updateDictionary(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/dictionary/update/`,
        method: 'post',
        data
    })
}