import request from 'string-edu-middleware/utils/request';

import { EDU_CREDIT_BANK_SERVICE_PATH } from "string-edu-middleware/api/index"
 

export function queryDisplace(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/`,
        method: 'get',
        params
    })
}

export function getDisplace(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/${id}/get/`,
        method: 'get'
    })
}
 
export function getCredit(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/getCredit/`,
        method: 'post',
        data
    })
}

export function deleteDisplace(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/${id}/delete/`,
        method: 'post'
    })
}
export function createDisplace(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/create/`,
        method: 'post',
        data
    })
}
export function updateDisplace(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/displace/update/`,
        method: 'post',
        data
    })
}