import request from 'string-edu-middleware/utils/request';
import { EDU_CREDIT_BANK_SERVICE_PATH } from "string-edu-middleware/api/index"


export function queryRuleCourse(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/`,
        method: 'get',
        params
    })
}

export function getRuleCourse(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/${id}/get/`,
        method: 'get'
    })
}

export function queryCourse(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/getCourse/`,
        method: 'get',
        params
    })
}
export function deleteRuleCourse(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/${id}/delete/`,
        method: 'post'
    })
}
export function createRuleCourse(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/create/`,
        method: 'post',
        data
    })
}
export function updateRuleCourse(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/ruleCourse/update/`,
        method: 'post',
        data
    })
}