import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

//  字典详情
// 查询字典
export function queryDictionariesItems(params) {
 
    return request({
        url: ApiPath.base.dictionariesItems.dictionariesItems.query,
        method: 'get',
        params
    })
}
// 获取字典
export function getDictionariesItems(id) {
 
    return request({
        url: ApiPath.base.dictionariesItems.dictionariesItems.get.replace("<id>",id),
        method: 'get',
    })
}

// 新增字典
export function createDictionariesItems(data) {
    return request({
        url: ApiPath.base.dictionariesItems.dictionariesItems.create,
        method: 'post',
        data
    })
}

// 修改字典
export function updateDictionariesItems(id,data) {
    return request({
        url: ApiPath.base.dictionariesItems.dictionariesItems.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除字典
export function deleteDictionariesItems(id) {
    return request({
        url: ApiPath.base.dictionariesItems.dictionariesItems.delete.replace("<id>",id),
        method: 'post',
    })
}
