import {
  eduSelectURL,
  eduSelectClassURL
} from "string-edu-middleware/api/path/settings";

export default {
  // 管理员选课

  // 查询选课
  queryChoiceCourse: {
    query: `${eduSelectURL}/`,
    school: `${eduSelectURL}/`,
    org: `${eduSelectURL}/org/`,
    get: `${eduSelectURL}/get/`,
  },

  get: `${eduSelectURL}/get/`,
  // 创建选课
  createChoiceCourse: {
    create: `${eduSelectURL}/import_from_task/`,
    school: `${eduSelectURL}/import_from_task/`,
    get: `${eduSelectURL}/get/import_from_task/`,
  },


  // 修改管理员选课
  updateChoiceCourse: {
    update: `${eduSelectURL}/update/`,
    school: `${eduSelectURL}/update/`,
    get: `${eduSelectURL}/get/update/`,
  },


  // 删除管理员选课
  deleteChoiceCourse: {
    delete: `${eduSelectURL}/delete/`,
    school: `${eduSelectURL}/delete/`,
    get: `${eduSelectURL}/get/delete/`,
  },



  // 批量删除

  batchDeletePerm: {
    batch_delete: `${eduSelectURL}/batch_delete/`,
    school: `${eduSelectURL}/batch_delete/`,
    get: `${eduSelectURL}/get/batch_delete/`,
  },



  // 选课-更新教学任务
  sync_task: `${eduSelectURL}/sync_task/`,

  // 查询选课班级
  query_class_choice: `${eduSelectURL}/select_class/`,





  // 创建选课班级
  create_class_choice: `${eduSelectURL}/create_class/`,
  // 删除选课班级
  delete_class_choice: `${eduSelectURL}/delete_class/`,




  // 学生查看自己能选的课程
  get_valid_courses: `${eduSelectURL}/get_valid_courses/`,
  // 学生选课
  choose: `${eduSelectURL}/choose/`,
  // 查询学生选课结果
  student_report: `${eduSelectURL}/student_report/`,
  //    删除学生选课
  delete_student_course: `${eduSelectURL}/delete_student/`,





  // 导出选课

  exportSelectionPerm: {
    export_selection: `${eduSelectURL}/export_selection/`,
    school: `${eduSelectURL}/export_selection/`,
  },
  // 导入选课

  exportSelectionPerm: {
    import_selection: `${eduSelectURL}/import_selection/`,
    school: `${eduSelectURL}/import_selection/`,
  },


  importFromSchedule: `${eduSelectURL}/importFromSchedule/`,
  importFromExamination: `${eduSelectURL}/importFromExamination/`,
}