import {
    //成绩填报
    eduGradeURL,
    // 成绩变更
    eduGradeChangeURL,
  } from "string-edu-middleware/api/path/settings";
  
  
  export default {
    // 成绩填报
    grade: {
      query: `${eduGradeURL}/`,
      studentGrade: `${eduGradeURL}/studentGrade/`,
      updates: `${eduGradeURL}/updates/`,
      saveGrade: `${eduGradeURL}/save_score/`,
      submitGrade: `${eduGradeURL}/submit_score/`,
      division: `${eduGradeURL}/division/`,
      //提交学生成绩
      submitScore: `${eduGradeURL}/submit_score/`,

      // 查询补考重修
      fail:`${eduGradeURL}/fail/`,
 
      // 更改报名状态
      updateGradeStatus:`${eduGradeURL}/updateGradeStatus/`,
      
       // 成绩单打印
       printGradeStatus:`${eduGradeURL}/print/`,
       

    },

    // 成绩变更
    gradeChange: {
      query: `${eduGradeChangeURL}/`,
      create:`${eduGradeChangeURL}/create/`,
      delete:`${eduGradeChangeURL}/delete/`,
      deletes:`${eduGradeChangeURL}/deletes/`,
      get:`${eduGradeChangeURL}/get/`,
      update:`${eduGradeChangeURL}/update/`,
      verify:`${eduGradeChangeURL}/verify/`,
    },
  }
  