import {
  //授课计划
  eduScheduleURL,
  eduTaskTeacherURL,
  educationEdu,//审核功能
} from "string-edu-middleware/api/path/settings";


export default {
  // 授课计划
  schedules: {
 
    querySchedules: {
      query: `${eduScheduleURL}/`,
      school: `${eduScheduleURL}/`,
      org: `${eduScheduleURL}/org/`,
      teacher: `${eduScheduleURL}/teacher/`,
      student: `${eduScheduleURL}/student/`,
      class: `${eduScheduleURL}/class/`,
    },

    create: `${eduScheduleURL}/create/`,
    get: `${eduScheduleURL}/get/`,
    getCplan: `${eduScheduleURL}/getCplan/`,
    delete: `${eduScheduleURL}/delete/`,
    deletes: `${eduScheduleURL}/deletes/`,
    update: `${eduScheduleURL}/update/`,
    updates: `${eduScheduleURL}/updates/`,
    getShow: `${eduScheduleURL}/contents/`,
    copy: `${eduScheduleURL}/copy_schedule/`,
    generate: `${eduScheduleURL}/generate_schedule/`,
    submit: `${eduScheduleURL}/submit_schedule/`,
    taskteacher: `${eduTaskTeacherURL}/select_teacher/`, 
 
    // 审核与取消审核 
    getVerify:`${educationEdu}/verify/get/`, //查看审核记录 
    
    queryVerify:`${educationEdu}/verify/`,                     //查看审核历史记录 
    verify:{ 
      teacherplans:`${educationEdu}/teacherplans/verify/`,   //授课计划审核,取消审核
      textbooks:`${educationEdu}/textbooks/verify/`,      //教材选用审核，取消审核
      grade:`${educationEdu}/grade/verify/`,          //成绩填报审核 ,取消审核
    }

  },


}
