
// 新版本暂用权限 

import {
  EDUCATION_PATH,//教务主体
  EDUCATION_BASE_PATH,//教务基础数据
  EDU_GRADUATION_SERVICE_PATH, // 毕业设计   
  EDU_ENTER_SERVICE_URL,//考试报名
  EDU_COMMENT_SERVICE_PATH,//评教评学
  EDU_PAYMENT_SERVICE_PATH,//支付
  EDU_PUBLIC_SERVICE_PATH,//基础数据
} from "string-edu-middleware/api/index"




// 【教务数据】
const education_teaching = EDUCATION_PATH;
const education_base = EDUCATION_BASE_PATH;

const prefix = "education";

const education_edu = "education_edu"

// 教学系统-专业建设  
const majorBase = "base"; // 教学系统-专业建设-基础数据 


/**
 * 教务系统-专业建设-基础数据
 */
export const majorGetUserInfo = `${education_teaching}/${majorBase}`;

export const majorBaseMajorGroupURL = `${education_teaching}/${majorBase}/majorGroups`;
export const majorBaseMajorCouncilURL = `${education_teaching}/${majorBase}/majorCouncils`;
export const majorBaseMajorCouncilMemberURL = `${education_teaching}/${majorBase}/majorCouncilMembers`;
export const majorBaseMajorURL = `${education_teaching}/${majorBase}/majors`;
export const majorBaseMajorOrientationURL = `${education_teaching}/${majorBase}/majorDirections`;
export const majorBaseCourseURL = `${education_teaching}/${majorBase}/tch_courses`;
export const majorBaseCourseTypeURL = `${education_teaching}/${majorBase}/tch_course_types`;
export const majorBaseCourseCategoryURL = `${education_teaching}/${majorBase}/tch_course_cats`;
export const majorBaseExamineModeURL = `${education_teaching}/${majorBase}/tch_exam_modes`;
export const majorBaseTeachingMethodURL = `${education_teaching}/${majorBase}/tch_teach_methods`;
export const majorBaseExternalPersonURL = `${education_teaching}/${majorBase}/maj_ext_persons`;

// 查询生源类型
export const majorBaseStudentOriginTytpe = `${education_teaching}/${majorBase}/StudentOriginType`;




// 教务系统-教学运行
const edu = "edu"; // 教务系统-教学运行
const eduBase = "base"; // 教务系统-教学运行-基础数据
const tch_terms = "tch_terms"//教学运行基础数据接口
const eduTask = "task"; // 教务系统-教学运行-教学任务
const eduArrange = "arrangements"; // 教务系统-教学运行-排课-排课方案
const schedules = "schedules"; // 教务系统-教学运行-排课-周课表
const eduChoice = "selections"; // 教务系统-教学运行-选课
const eduExamination = "exam_modes"; // 教务系统-教学运行-考务
const eduTextbook = "textbooks"; // 教务系统-教学运行-教材选用
const eduBook = "books"; // 教务系统-教学运行-教材维护
const teacherplans = "teacherplans"; // 教务系统-教学运行-授课计划
const dictionaries = "dictionaries"; //字典
const dictionariesItems = "dictionaries_items";  //字典详情
const systems = "systems";  //系统设置




/**
 * 教务系统-教学运行-基础数据
 * 包含：学区、教学场所、教学地点、学年等。
 */

// 教务系统-教学运行-基础数据-学区
export const eduBaseSchoolRegionURL = `${education_base}/${eduBase}/tch_school_regions`;
// 教务系统-教学运行-基础数据-教学场所
export const eduBaseBuildingURL = `${education_base}/${eduBase}/tch_buildings`;
// 教务系统-教学运行-基础数据-教学地点
export const eduBasePlaceURL = `${education_base}/${eduBase}/tch_places`;
// 教务系统-教学运行-基础数据-教室
export const eduBaseRoomURL = `${education_base}/${eduBase}/tch_rooms`;
// 教务系统-教学运行-基础数据-学年
export const eduBaseTeachingYearURL = `${education_base}/${eduBase}/tch_school_years`;
// 教务系统-教学运行-基础数据-学期
export const eduBaseTeachingSemesterURL = `${education_base}/${eduBase}/${tch_terms}`;
// 教务系统-教学运行-基础数据-周次
export const eduBaseTeachingWeekURL = `${education_base}/${eduBase}/tch_school_weeks`;
// 教务系统-教学运行-基础数据-节次
export const eduBaseTeachingLessonURL = `${education_base}/${eduBase}/tch_lessons`;
// 教务系统-教学运行-基础数据-校历
export const eduBaseTeachingCalendarURL = `${education_base}/${eduBase}/tch_teaching_calendars`;
// 教务系统-教学运行-基础数据-校历明细
export const eduBaseTeachingCalendarentrysURL = `${education_base}/${eduBase}/tch_teaching_calendarentrys`;
// 教务系统-教学运行-基础数据-成绩等第
export const eduBaseGradeLevelURL = `${education_base}/${eduBase}/tch_grade_levels`;

// 教务系统-教学运行-基础数据-班级
export const classBaseURL = `${education_base}/${eduBase}/class`;

// 教务系统-教学运行-基础数据-班级(带专业和学籍状态)
export const studentInfoURL = `${education_base}/${eduBase}/student_info`;

// 教务系统-教学运行-基础数据-校外人员
export const majExtPersonsURL = `${education_base}/${eduBase}/maj_ext_persons`;


// 教务系统-教学运行-查询教学单位
export const departmentBaseUrl = `${education_base}/${eduBase}/department`;




// 公共数据
// 学期
export const publicTermDataUrl = `${education_base}/${eduBase}/tch_terms`;

// 二级部门
export const publicOrgsDataUrl = `${EDU_PUBLIC_SERVICE_PATH}/sys/orgs`;
// 专业
export const publicMajorDataURL = `${EDU_PUBLIC_SERVICE_PATH}/sys/orgs`;

// 课程
export const publicCourseDataURL = `${education_base}/${eduBase}/tch_courses`;
// 教师
export const publicTeacherDataUrl = `${education_base}/user`;
// 课程性质
export const publicCourseTypeURL = `${education_base}/${majorBase}/tch_course_types`;
// 课程类别
export const publicCourseCategoryURL = `${education_base}/${majorBase}/tch_course_cats`;
// 考核方式
export const publicExamineModeURL = `${education_base}/${majorBase}/tch_exam_modes`;
// 校区
export const publicSchoolRegionURL = `${education_base}/${majorBase}/tch_school_regions`;

// 教学教室
export const publicPlaceURL = `${education_base}/${eduBase}/tch_rooms`;

// 虚拟班级
export const publicUnrealClassURL = `${education_teaching}/education/${edu}/${eduBase}/unreal_class`;
// 虚拟班级-学生管理
export const publicUnrealClassStudentURL = `${education_teaching}/education/${edu}/${eduBase}/unreal_class_student`;




/**
 * 教务系统-教学运行-教学任务
 */

export const eduTaskURL = `${education_teaching}/${education_edu}/${eduTask}s`;
export const eduTaskTeacherURL = `${education_teaching}/${education_edu}/tasks`;
//教务系统-教学运行-教材库
export const eduTextbookURL = `${education_teaching}/${education_edu}/${eduTextbook}`;
export const eduTextbooktypeURL = `${education_teaching}/${education_edu}`;   //引用类别

//教务系统-教学运行-教材维护
export const eduBookURL = `${education_teaching}/${education_edu}/${eduBook}`;

//教务系统-教学运行-教材采购
export const eduBookBuyURL = `${education_teaching}/book_buy`;

//教务系统-教学运行-退教材
export const eduBookBuyCancelURL = `${education_teaching}/${education_edu}/book_buy_cancel`;





export const eduGetTaskAndNum = `${education_teaching}/${education_edu}/tasks/get_task_and_num`;     //引用教学任务
//教务系统-教学运行-授课计划
export const eduScheduleURL = `${education_teaching}/${education_edu}/${teacherplans}`;
//教务系统-教学运行-成绩填报
export const eduGradeURL = `${education_teaching}/${education_edu}/grade`;
//教务系统-教学运行-成绩统计-按教学任务统计不及格人数
export const eduScoreStatisticalURL = `${education_teaching}/statistics/score/tchteachtask`;
//教务系统-教学运行-成绩统计-学生不及格名单
export const eduStudentFailingURL = `${education_teaching}/statistics/score/tchtaskstudent`;

//教务系统-教学运行-成绩变更
export const eduGradeChangeURL = `${education_teaching}/${education_edu}/gradeChange`;

//教务系统-教学运行-学籍异动
export const eduStudentStatusChangeURL = `${education_teaching}/${education_edu}/studentStatusChange`;

//教务系统-教学运行-学籍异动
export const eduClassStatusChangeURL = `${education_teaching}/${education_edu}/classStatusChange`;
// classStatusChange


//教务系统-教学运行-教学工作量
export const eduWorkLoadUrl = `${education_teaching}/${education_edu}/workLoad`;



// 教务系统字典项
// 教务系统-基础数据-字典
export const dictionariesURL = `${education_teaching}/${eduBase}/${dictionaries}`;
// 教务系统-基础数据-字典详情 
export const dictionariesItemsURL = `${education_teaching}/${eduBase}/${dictionariesItems}`;

// 教务系统-基础数据-供应商 
export const baseBookSupplierUrl = `${education_teaching}/${eduBase}/book_supplier`;

// 教务系统-系统设置
export const edusystemSettingsURL = `${education_teaching}/${education_edu}/${systems}`;

// 教务系统-基础数据-教研室
export const tchTeachOrgsURL = `${education_teaching}/${eduBase}/tch_teach_orgs`;

// 教务系统-基础数据-教研室-教师
export const tchTeachOrgTeachersURL = `${education_teaching}/${eduBase}/tch_teach_org_teachers`;

// 教务系统-教学运行-基础数据-课次组合
export const eduBaseTeachtype = `${education_teaching}/education/${edu}/${eduBase}/teachtype`;

// 排课
export const eduArrangeURL = `${education_teaching}/${education_edu}/${eduArrange}`;
// 排课-周课表（排课结果）
export const schedulesURL = `${education_teaching}/${education_edu}/${schedules}`;

// 选课
export const eduSelectURL = `${education_teaching}/${education_edu}/${eduChoice}`;


// 考试方式
export const eduExaminationURL = `${education_teaching}/education_edu/${eduExamination}`;
// 考试
export const eduExamURL = `${education_teaching}/education_edu/exams`;
// 自动排考  排考方案
export const eduAutoExamURL = `${education_teaching}/education_edu/examplans`;
// 考试场次
export const eduExamRoundURL = `${education_teaching}/education_edu/exam_rounds`;
// 考试记录
export const eduExamEntryURL = `${education_teaching}/education_edu/exam_entries`;
// 查询可用的教学任务
export const eduQueryAvailableTasksURL = `${education_teaching}/education_edu/arrangements`;


//教务系统-教学运行-考务-导入监考老师
export const eduExamPlanURL = `${education_teaching}/${education_edu}/examplans`;

// 教务系统-审核
export const educationEdu = `${education_teaching}/${education_edu}`;


const appApiAsso = "api"; // 教务系统-接口页面对应关系
const appApipower = "power"; // 教务系统-接口页面对应关系
const auth = "auth"
//教务系统-接口对应关系表
export const eduAppApiAsso = `${education_teaching}/${education_edu}/${appApiAsso}`;
export const eduAppApipower = `${education_teaching}/${auth}/${appApipower}`;



// 教务系统-重修支付与退款
export const orderURL = `${education_teaching}/${education_edu}/order`;



// 支付处理
export const paymentOrderURL = `${EDU_PAYMENT_SERVICE_PATH}/order`;
export const paymentPayorderURL = `${EDU_PAYMENT_SERVICE_PATH}/payorder`;
export const paymentSchoolStoreURL = `${EDU_PAYMENT_SERVICE_PATH}/schoolStore`;
export const paymentPayOrderEntryURL = `${EDU_PAYMENT_SERVICE_PATH}/payOrderEntry`; // 交易流水详细


// 毕业 设置
export const graduationUrl = `${education_teaching}/${education_edu}/graduation`




// ===== 0040302-毕业设计项目-education_graduation_service ====

// 教务系统-毕业设计项目 
const gradBase = "base"; // 教务系统-教学运行-基础数据

// 基础数据-批次
export const gradBaseUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/batches`;
// 基础数据-答辩小组
export const gradDefencesUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/defences`;
// 基础数据-答辩小组教师 
export const gradDefenceTeacherUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/defence_teachers`;
// 基础数据-学生名单
export const gradStudentsUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/students`;
// 基础数据-教师名单
export const gradTeachersUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/teachers`;
// 基础数据-打分项设置
export const gradEvalSettingsUrl = `${EDU_GRADUATION_SERVICE_PATH}/${gradBase}/grade_settings`;



// 师生双选-学生选题
export const gradStuSelectionsUrl = `${EDU_GRADUATION_SERVICE_PATH}/selections`;

// 毕业论文
export const gradPapersUrl = `${EDU_GRADUATION_SERVICE_PATH}/papers`;


// 系统设置
export const gradSystemsUrl = `${EDU_GRADUATION_SERVICE_PATH}/systems`;

// 课题
export const gradTopicsUrl = `${EDU_GRADUATION_SERVICE_PATH}/topics`;

// 课题适用专业
export const gradTopicMajorsUrl = `${EDU_GRADUATION_SERVICE_PATH}/topic_majors`;

// 学生成绩查询
export const gradStudentScoresUrl = `${EDU_GRADUATION_SERVICE_PATH}/student_scores`;


// 查询-毕业论文
export const gradPaperUrl = `${EDU_GRADUATION_SERVICE_PATH}/papers`;

// 修改毕业论文查重
export const gradPapeDuplicaterUrl = `${EDU_GRADUATION_SERVICE_PATH}/paper_duplicate_checks`;


// 查询毕业论文推优列表
export const gradPaperRecommendGoodsUrl = `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods`;

// 毕业论文论文批阅
export const gradPaperReviewsUrl = `${EDU_GRADUATION_SERVICE_PATH}/paper_reviews`;


// ===== 0040302-毕业设计项目-END ==== 

// 评价评学  
// 【系统设置】 
// 评价配置
export const comSubject = `${EDU_COMMENT_SERVICE_PATH}/subject`;
// 得分统计 
export const comScore = `${EDU_COMMENT_SERVICE_PATH}/score`;

// 评价督导/专家设置
export const comExport = `${EDU_COMMENT_SERVICE_PATH}/export`;
// 评价类型
export const comEvalType = `${EDU_COMMENT_SERVICE_PATH}/evalType`;
// 评价配置
export const comEvalSetting = `${EDU_COMMENT_SERVICE_PATH}/evalSetting`;
// 问卷网api
export const comQuestionnaire = `${EDU_COMMENT_SERVICE_PATH}/questionnaire`;

// 课程评价模板设置
export const comCourseSetting = `${EDU_COMMENT_SERVICE_PATH}/courseSetting`;


//  ===== 0040306-考试报名项目-education_enter_service ====

export const enterExamUrl = `${EDU_ENTER_SERVICE_URL}/base/exams`;
//  ===== 0040306-考试报名项目-education_enter_service ====


