import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
 

// 查询课程评价模板设置
export function queryCourseSetting(params) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.query,
        method: 'get',
        params
    })
}

// 获取课程评价模板设置
export function getCourseSetting(params) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.get,
        method: 'get',
        params
    })
}

// 新增课程评价模板设置
export function createCourseSetting(data) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.create,
        method: 'post',
        data
    })
}

// 修改课程评价模板设置
export function updateCourseSetting(data) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.update,
        method: 'post',
        data
    })
}

// 删除课程评价模板设置
export function deleteCourseSetting(data) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.delete,
        method: 'post',
        data
    })
}

 // 批量删除课程评价模板设置
export function deletesCourseSetting(data) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.deletes,
        method: 'post',
        data
    })
}


 // 导入课程评价模板设置
 export function importCourseSetting(data) {
    return request({
        url: ApiPath.comment.courseSetting.courseSetting.import,
        method: 'post',
        data
    })
}