import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index"
// 评价配置

// 查询评价配置
export function queryEvalSetting (params) {
  return request({
    url: ApiPath.comment.evalSetting.evalSetting.query,
    method: 'get',
    params
  })
}

// 获取评价配置
export function getEvalSetting (id) {
  return request({
    url: ApiPath.comment.evalSetting.evalSetting.get.replace("<id>", id),
    method: 'get',
  })
}

// 新增评价配置
export function createEvalSetting (data) {
  return request({
    url: ApiPath.comment.evalSetting.evalSetting.create,
    method: 'post',
    data
  })
}

// 查询范围设置
export function selectEvalSetting (id) {
  return request({
    url: ApiPath.comment.evalSetting.evalSetting.select,
    method: 'post',
  })
}



// cak_批量修改范围设置
export function updatesEvalSetting (data) {
  return request({
    url: ApiPath.comment.evalSetting.evalSetting.updates,
    method: 'post',
    data
  })
}



// 同步评价配置
export function evalSettingSync () {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalSetting/sync/`,
    // url: ApiPath.comment.evalSetting.evalSetting.updates,
    method: 'post'
  })
}


// /evalSetting/sync/
// 同步课程类别、考核方式