import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 问卷网

// 发起答卷
export function copyQuestionnaire(data) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.copyQuestionnaire,
        method: 'post',
        data
    })
}

// 查看答题者最新一条答卷详情
export function getRspdDetail(id) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.getRspdDetail.replace("<id>", id),
        method: 'get',
    })
}
 
// 新增问卷网
export function createExport(data) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.create,
        method: 'post',
        data
    })
}

 
// 跳转到答题页面
export function questionnaire(params) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.questionnaire,
        method: 'get',
        params
    })
}

// 跳转到管理模板页面
export function redirectManage(params) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.redirectManage,
        method: 'get',
        params
    })
}
  // 开始评价
export function startEvaluation(data) {
    return request({
        url: ApiPath.comment.questionnaire.questionnaire.startEvaluation,
        method: 'post',
        data
    })
}
  
 