
import request from 'string-edu-middleware/utils/request'

import { EDUCATION_PATH } from 'string-edu-middleware/api/index';



// 查询系统设置
export function querySystemSettings(params) {
    return request({
        url: `${EDUCATION_PATH}/base/tchSystems/`,
        method: 'get',
        params
    })
}

 
// 查询单个系统设置
export function getSystemSettings(id) {
    return request({
        url: `${EDUCATION_PATH}/base/tchSystems/${id}/get`,
        method: 'get' 
    })
}



// 修改系统设置
export function updateSystemSettings(data) {
    return request({
        url: `${EDUCATION_PATH}/base/tchSystems/updates/`,
        method: 'post',
        data
    })
}


