import router from '@/router'

import { fetchBase } from 'string-edu-middleware/utils/education-cache/set-base'

// 教务系统-获取权限功能
import { getSessionStroageUserInformation } from "string-edu-middleware/utils/education-cache/oldPerm";
import utils from "string-public-design-3/utils/util";
import store from '@/store'; 


// 路由之前 
router.beforeResolve(async (to, from, next) => {

  /* 存储基础数据
  * 目前存储的数据：
  *1.学期
  *2.教学单位
  */

  
  // 获取用户权限
  if ((!store.state.app3.visitAppCurrentPerm && !utils.isEmpty(to.meta.appKey)
  ) || !utils.isAppKeyEqual(to, from)
  ) {
    await store.dispatch('app3/getVisitApp', to.meta.appKey).catch(ex => {
      console.log(ex)
    })
  }

//  try {


//   // 获取用户权限
//   if ((!store.state.app3.visitAppCurrentPerm && !utils.isEmpty(to.meta.appKey)
//   ) || !utils.isAppKeyEqual(to, from)
//   ) {
//     await store.dispatch('app3/getVisitApp', to.meta.appKey).catch(ex => {
//       console.log(ex)
//     })
//   }
// } catch {
//   console.log("使用edu-middleware的permission文件有bug，未添加权限的代码");
// }

  await fetchBase().then(resp => { });

  //【教务独有】 获取到正确的token之后，读取数据存到vuex中
  // 去读取页面权限信息  
  await getSessionStroageUserInformation(to);



  if (to.name == 'stredu_dashboard_stringing') {
    if (localStorage.getItem("main-user-info") == 'string@1307') {
      // 进入页面 
      next();
    } else {
      console.log("进入跳转页面");
      console.log("login-main");
      // 进入页面 
      next({ path: "login-main" });
    }
  } else {

  }


  // 进入页面 
  next();
});

// 路由完成时
router.afterEach(() => { });
