import router from '@/router'

import { fetchBase } from 'string-edu-middleware/utils/education-cache/set-base'

// 教务系统-获取权限功能
import { getSessionStroageUserInformation } from "string-edu-middleware/utils/education-cache/oldPerm";

// import * as dd from 'dingtalk-jsapi'; // 此方式为整体加载，也可按需进行加载


// 路由之前
// router.beforeEach(async (to, from, next) => {
router.beforeResolve(async (to, from, next) => {

  /* 存储基础数据
  * 目前存储的数据：
  *1.学期
  *2.教学单位
  */
  await fetchBase().then(resp => { });

  //【教务独有】 获取到正确的token之后，读取数据存到vuex中
  // 去读取页面权限信息  
  await getSessionStroageUserInformation(to)

  // 进入页面 
  next();
});

// 路由完成时
router.afterEach(() => { });
