// 场景
const situation = {
    manage: "manage",//管理权限
    query: "query",//查询权限
    statistics: "statistics",//统计权限
    // 不做控制的权限
    default: "default",//默认的权限，所有场景，所有用户都可以使用

    school: "school",//校级管理员
    org: "org",//二级学院
    teacher: 'teacher',//教师
    class: "class",//行政班级
    student: "student",//学生 
    research_office: 'research_office', //教研室 

    // 拆分权限接口对应数据 
    create: "create",
    update: "update",
    delete: "delete",



    //全校管理
    school_manage_perm: {
        name: "school_manage_perm",
        role: "school",
        perm: "manage",

    },

    //全校查询
    school_query_perm: {
        name: "school_query_perm",
        role: "school",
        perm: "query",

    },

    //全校统计
    school_statistics_perm: {
        name: "school_statistics_perm",
        role: "school",
        perm: "statistics",

    },



    // 二级学院管理
    org_manage_perm: {
        name: "org_manage_perm",
        role: "org",
        perm: "manage",

    },

    //二级学院查询 
    org_query_perm: {
        name: "org_query_perm",
        role: "org",
        perm: "query",

    },

    //二级学院统计
    org_statistics_perm: {
        name: "org_statistics_perm",
        role: "org",
        perm: "statistics",

    },

    //教师管理
    teacher_manage_perm: {
        name: "teacher_manage_perm",
        role: "teacher",
        perm: "manage",

    },

    //教师查询
    teacher_query_perm: {
        name: "teacher_query_perm",
        role: "teacher",
        perm: "query"
    },




    //行政班级管理
    class_manage_perm: {
        name: "class_manage_perm",
        role: "class",
        perm: "manage"
    },

    //行政班级查询
    class_query_perm: {
        name: "class_query_perm",
        role: "class",
        perm: "query"
    },

    //行政班级统计
    class_statistics_perm: {
        name: "class_statistics_perm",
        role: "class",
        perm: "statistics"
    }, 

    //学生管理
    student_manage_perm: {
        name: "student_manage_perm",
        role: "student",
        perm: "manage"
    },

    //学生查询
    student_query_perm: {
        name: "student_query_perm",
        role: "student",
        perm: "query"
    },

    //教研室管理页面
    research_office_manage_perm: {
        name: "research_office_manage_perm",
        role: "research_office",
        perm: "manage"
    }, 

    // 默认权限，适用于所有情况
    default_perm: {
        name: "default_perm",
        role: "all",
        perm: "all"
    }, 

    // 审核与取消审核
    verify: {
        teacherplans: 'teacherplans',   //授课计划审核
        textbooks: 'textbooks',         //教材选用审核
        grade: 'grade',         //成绩填报
    }

}

export default {
    situation
}









// role 角色表
// perm 权限表
// rolePerms 角色权限表 ==> 代号

