


const state = {
  // 教学任务
  taskData: null,   

  userPermSwitch: "",
  userPermOrgId: "",
  userPermId: null,
  userPermType: "",
  userPermRole: "", 

}
const mutations = {   
  // 教学任务vuex
  save_TaskData: (state, data) => {
    state.taskData = data;
  }, 

  // 权限
  SET_USER_PERM_SWITCH: (state, userPermSwitch) => {
    state.userPermSwitch = userPermSwitch;
  },

  // 部门id
  SET_USER_PERM_ORGID: (state, userPermOrgId) => {
    state.userPermOrgId = userPermOrgId;
  },

  // 个人id（留待备用)
  SET_USER_PERM_USERID: (state, userPermId) => {
    state.userPermId = userPermId;
  },
  // 判断是管理，只读，统计
  SET_USER_PERM_TYPE: (state, userPermType) => {
    state.userPermType = userPermType;
  },

  // 判断是校级，二级学院，教师，行政班级，学生
  SET_USER_PERM_ROLE: (state, userPermRole) => {
    state.userPermRole = userPermRole;
  }, 
}

const actions = {
  // 教学任务
  saveTaskData({ commit }, data) {
    commit('save_TaskData', data)
  },

}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

