import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询系统设置
export function querySystems(params) {
    return request({
        url: ApiPath.graduation.gradBase.systems.query,
        method: 'get',
        params,
    })
}

 

// 修改系统设置
export function updateSystems(data) { 
    return request({
        url: ApiPath.graduation.gradBase.systems.updates,
        method: 'post',
        data
    })
}

 
