import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
 

// 查询课题适用专业
export function queryselectTopicMajor(params) {
    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.query,
        method: 'get',
        params,
    })
}

// 获取课题适用专业
export function getselectTopicMajor(id) {
    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增课题适用专业
export function createselectTopicMajor(data) {
    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.create,
        method: 'post',
        data
    })
}


// 修改课题适用专业
export function updateselectTopicMajor(id, data) {

    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除课题适用专业
export function deleteselectTopicMajor(id, data) {

    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除课题适用专业
export function deletesselectTopicMajor(data) {
    return request({
        url: ApiPath.graduation.gradTopics.selectTopicMajor.deletes,
        method: 'post',
        data
    })
}
