import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'

import request from 'string-edu-middleware/utils/request'

const queryParams = {
        search: "",

        pageIndex: "",
        pageSize: ""
    }
    // 查询教学场所
export function queryBuilding(params) { 
    return request({
        url: ApiPath.education.edu.base.building.query,
        method: 'get',
        params
    })
}

// 获取教学场所
export function getBuilding(id) {
    return request({
        url: ApiPath.education.edu.base.building.get.replace("<id>", id),
        method: 'get',
    })
}

 
    // 新增教学场所
export function createBuilding(data) {
    return request({
        url: ApiPath.education.edu.base.building.create,
        method: 'post',
        data
    })
}

  
    // 修改教学场所
export function updateBuilding(id, data) {
    return request({
        url: ApiPath.education.edu.base.building.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除教学场所
export function deleteBuilding(id) {
    return request({
        url: ApiPath.education.edu.base.building.delete.replace("<id>", id),
        method: 'post',
    })
}