import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'
 
 
// 查询课程类型
export function queryCourseCategory(params) { 
    return request({
        url: ApiPath.education.edu.base.courseCategory.query,
        method: 'get',
        params
    })
}

// 获取课程类型
export function getCourseCategory(id) {
    return request({
        url: ApiPath.education.edu.base.courseCategory.get.replace("<id>",id),
        method: 'get',
    })
}
 
// 新增课程类型
export function createCourseCategory(data) {
    return request({
        url: ApiPath.education.edu.base.courseCategory.create,
        method: 'post',
        data
    })
}

 
// 修改课程类型
export function updateCourseCategory(id, data) {
    return request({
        url: ApiPath.education.edu.base.courseCategory.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除课程类型
export function deleteCourseCategory(id,data) {
    return request({
        url: ApiPath.education.edu.base.courseCategory.delete.replace("<id>",id),
        method: 'post',
        data
    })
}

