import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'
const queryParams = {
    search:"",
    
    pageIndex: "",
    pageSize: ""
}
// 查询课程性质
export function queryCourseType(params) {

    return request({
        url: ApiPath.education.edu.base.courseType.query,
        method: 'get',
        params
    })
}

// 获取课程性质
export function getCourseType(id) {
    return request({
        url: ApiPath.education.edu.base.courseType.get.replace("<id>",id),
        method: 'get',
    })
}

const createData = {
    code: "",
    name: "",
    address: "",
}
// 新增课程性质
export function createCourseType(data) {
    return request({
        url: ApiPath.education.edu.base.courseType.create,
        method: 'post',
        data
    })
}

const updateData = {
   code: "",
   name: "",
   address: "",
}
// 修改课程性质
export function updateCourseType(id, data) {
    return request({
        url: ApiPath.education.edu.base.courseType.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除课程性质
export function deleteCourseType(id,data) {
    return request({
        url: ApiPath.education.edu.base.courseType.delete.replace("<id>",id),
        method: 'post',
        data
    })
}


