import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'

 
// 查询专业群理事会
export function queryMajorCouncil(params) {

    return request({
        url: ApiPath.education.edu.base.concil.query,
        method: 'get',
        params
    })
}

// 获取专业群理事会
export function getMajorCouncil(id) {
    return request({
        url: ApiPath.education.edu.base.concil.get.replace("<id>",id),
        method: 'get',
    })
}

 
// 新增专业群理事会
export function createMajorCouncil(data) {
    return request({
        url: ApiPath.education.edu.base.concil.create,
        method: 'post',
        data
    })
}

 
// 修改专业群理事会
export function updateMajorCouncil(id, data) {
    return request({
        url: ApiPath.education.edu.base.concil.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除专业群理事会
export function deleteMajorCouncil(id,data) {
    return request({
        url: ApiPath.education.edu.base.concil.delete.replace("<id>",id),
        method: 'post',
        data
    })
}

