import ApiPath from "string-edu-middleware/api/path"

import request from 'string-edu-middleware/utils/request'

 
    // 查询教室
export function queryRoom(params) {
    return request({
        url: ApiPath.education.edu.base.room.query,
        method: 'get',
        params
    })
}

// 获取教室
export function getRoom(id) {
    return request({
        url: ApiPath.education.edu.base.room.get.replace("<id>", id),
        method: 'get',
    })
}



    // 新增教室
export function createRoom(data) {
    return request({
        url: ApiPath.education.edu.base.room.create,
        method: 'post',
        data
    })
}

 
    // 修改教室
export function updateRoom(id, data) {
    return request({
        url: ApiPath.education.edu.base.room.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除教室
export function deleteRoom(id) {
    return request({
        url: ApiPath.education.edu.base.room.delete.replace("<id>", id),
        method: 'post',
    })
}