import ApiPath from "string-edu-middleware/api/path" 
import request from 'string-edu-middleware/utils/request'
 

    // 查询周次
export function queryTeachingWeek(params) {
    return request({
        url: ApiPath.education.edu.base.teachingWeek.query,
        method: 'get',
        params
    })
}

// 获取周次
export function getTeachingWeek(id) {
    return request({
        url: ApiPath.education.edu.base.teachingWeek.get.replace("<id>", id),
        method: 'get',
    })
}

 
    // 新增周次
export function createTeachingWeek(data) {
    return request({
        url: ApiPath.education.edu.base.teachingWeek.create,
        method: 'post',
        data
    })
}
 
    // 修改周次
export function updateTeachingWeek(id, data) {
    return request({
        url: ApiPath.education.edu.base.teachingWeek.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除周次
export function deleteTeachingWeek(id) {
    return request({
        url: ApiPath.education.edu.base.teachingWeek.delete.replace("<id>", id),
        method: 'post',
    })
}



 
 
// 根据学期编号批量新增周次 
    export function batchCreateTeachingWeeks(id) {
        return request({
            url: ApiPath.education.edu.base.teachingWeek.batchCreate.replace("<termId>", id),
            method: 'post' 
        })
    }
