import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'
 

    // 查询学年
export function queryTeachingYear(params) {
    return request({
        url: ApiPath.education.edu.base.teachingYear.query,
        method: 'get',
        params
    })
}

// 获取学年
export function getTeachingYear(id) {
    return request({
        url: ApiPath.education.edu.base.teachingYear.get.replace("<id>", id),
        method: 'get',
    })
}


const createData = {
        "code": "",
        "name": "",
        "address": "",
    }
    // 新增学年
export function createTeachingYear(data) {
    return request({
        url: ApiPath.education.edu.base.teachingYear.create,
        method: 'post',
        data
    })
}

const updateData = {
        "code": "",
        "name": "",
        "address": "",
    }
    // 修改学年
export function updateTeachingYear(id, data) {
    return request({
        url: ApiPath.education.edu.base.teachingYear.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除学年
export function deleteTeachingYear(id) {
    return request({
        url: ApiPath.education.edu.base.teachingYear.delete.replace("<id>", id),
        method: 'post',
    })
}