import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

const queryParams = {
    search:"",
    
    pageIndex: "",
    pageSize: ""
}
// 查询虚拟班级
export function queryUnrealClass(params) {
    return request({
        url: ApiPath.education.edu.base.unrealClass.query,
        method: 'get',
        params
    })
}

// 获取虚拟班级
export function getUnrealClass(id) {
    return request({
        url: ApiPath.education.edu.base.unrealClass.get.replace("<id>",id),
        method: 'get',
    })
}

 
// 新增虚拟班级
export function createUnrealClass(data) {
    return request({
        url: ApiPath.education.edu.base.unrealClass.create,
        method: 'post',
        data
    })
}

 
// 修改虚拟班级
export function updateUnrealClass(id, data) {
    return request({
        url: ApiPath.education.edu.base.unrealClass.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除虚拟班级
export function deleteUnrealClass(id,data) {
    return request({
        url: ApiPath.education.edu.base.unrealClass.delete.replace("<id>",id),
        method: 'post',
        data
    })
}





// 虚拟班级-学生管理

// 查询虚拟班级
export function queryUnrealClassStudent(params) {
    return request({
        url: ApiPath.education.edu.base.unrealClassStudent.query,
        method: 'get',
        params
    })
}

// 获取虚拟班级
export function getUnrealClassStudent(id) {
    return request({
        url: ApiPath.education.edu.base.unrealClassStudent.get.replace("<id>",id),
        method: 'get',
    })
}
 
// 新增虚拟班级
export function createUnrealClassStudent(data) {
    return request({
        url: ApiPath.education.edu.base.unrealClassStudent.create,
        method: 'post',
        data
    })
}

 
// 修改虚拟班级
export function updateUnrealClassStudent(id, data) {
    return request({
        url: ApiPath.education.edu.base.unrealClassStudent.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除虚拟班级
export function deleteUnrealClassStudent(id,data) {
    return request({
        url: ApiPath.education.edu.base.unrealClassStudent.delete.replace("<id>",id),
        method: 'post',
        data
    })
}
