import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

const queryParams = {
   
}
// 查询字典
export function queryDictionaries(params) { 
    return request({
        url: ApiPath.base.dictionaries.dictionaries.query,
        method: 'get',
        params
    })
}
// 获取字典
export function getDictionaries(id) { 
    return request({
        url: ApiPath.base.dictionaries.dictionaries.get.replace("<id>",id),
        method: 'get',
    })
}

// 新增字典
export function createDictionaries(data) {
    return request({
        url: ApiPath.base.dictionaries.dictionaries.create,
        method: 'post',
        data
    })
}

// 修改字典
export function updateDictionaries(id,data) {
    return request({
        url: ApiPath.base.dictionaries.dictionaries.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除字典
export function deleteDictionaries(id) {
    return request({
        url: ApiPath.base.dictionaries.dictionaries.delete.replace("<id>",id),
        method: 'post',
    })
}
