import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'




const query_edu_year = {
 code: "",
 name: "",
 pageIndex: "",
 pageSize: ""
}
// 查询学年列表
export function queryEduYear(params) {
 return request({
  url: ApiPath.educational.eduYear.query,
  method: 'get',
  params
 })
}

 
// 单个查询学年
export function getEduYear(id) {
 return request({
  url: ApiPath.educational.eduYear.get.replace("<id>",id),
  method: 'get',
 })
}





const create_edu_year = {
 "code": "string",
 "createBy": "string",
 "createTime": "2019-10-26T09:21:14.633Z",
 "endDate": "2019-10-26T09:21:14.633Z",
 "id": "string",
 "ip": "string",
 "name": "string",
 "sort": "string",
 "startDate": "2019-10-26T09:21:14.633Z",
 "tenantId": "string",
 "updateBy": "string",
 "updateTime": "2019-10-26T09:21:14.633Z"
}
// 新增学年
export function createEduYear(data) {
 return request({
  url: ApiPath.educational.eduYear.create,
  method: 'post',
  data
 })
}




const update_edu_year = {
 "code": "string",
 "createBy": "string",
 "createTime": "2019-10-26T09:21:14.633Z",
 "endDate": "2019-10-26T09:21:14.633Z",
 "id": "string",
 "ip": "string",
 "name": "string",
 "sort": "string",
 "startDate": "2019-10-26T09:21:14.633Z",
 "tenantId": "string",
 "updateBy": "string",
 "updateTime": "2019-10-26T09:21:14.633Z"
}

// 修改学年
export function updateEduYear(data) {
 return request({
  url: ApiPath.educational.eduYear.update,
  method: 'post',
  data
 })
}


// 删除学年
export function deleteEduYear(id) {
 return request({
  url: ApiPath.educational.eduYear.delete.replace("<id>",id),
  method: 'post',
 })
}

