// 教师申报课题

import {
    gradTopicsUrl, //选题管理
    gradTopicMajorsUrl,//课题适用专业
} from "../settings";

export default {
    // 学生选题管理
    topics: {
        query: `${gradTopicsUrl}/`,
        get: `${gradTopicsUrl}/<id>/`,
        create: `${gradTopicsUrl}/create/`,
        update: `${gradTopicsUrl}/<id>/update/`,
        delete: `${gradTopicsUrl}/<id>/delete/`,
        batchDelete: `${gradTopicsUrl}/deletes/`,
    },

    // 选择课题适用专业
    selectTopicMajor: {
        query: `${gradTopicMajorsUrl}/`,
        get: `${gradTopicMajorsUrl}/<id>/`,
        create: `${gradTopicMajorsUrl}/create/`,
        update: `${gradTopicMajorsUrl}/<id>/update/`,
        delete: `${gradTopicMajorsUrl}/<id>/delete/`,
        batchDelete: `${gradTopicMajorsUrl}/deletes/`,
    },

}
