import {
  //教材选用
  eduTextbookURL,
  //教材运行
  eduBookURL,
  eduGetTaskAndNum,
  eduTextbooktypeURL,
  eduBookBuyURL,//教材采购
  eduBookBuyCancelURL,//退教材
} from "string-edu-middleware/api/path/settings";


export default {
  // 教材选用
  materialChoose: { 
    // 查询已选教材
    queryMaterialChoose: {
      query: `${eduTextbookURL}/`,
    },

    get: `${eduTextbookURL}/get/`,

    // 修改已选教材
    updateMaterialChoose: {
      update: `${eduTextbookURL}/update/`,
    },

    remove: `${eduTextbookURL}/remove/`,
    textbooktype: `${eduTextbooktypeURL}/textbooktype/`,
    add: `${eduTextbookURL}/distribute/`,
  },


  // 教材库
  managementTchMaterial: {
    query: `${eduBookURL}/`,
    get: `${eduBookURL}/get/`,
    create: `${eduBookURL}/create/`,
    update: `${eduBookURL}/update/`,
    delete: `${eduBookURL}/delete/`,
  },

  // 教材采购清单
  bookBuy: {
    query: `${eduBookBuyURL}/`,
    get: `${eduBookBuyURL}/get/`,
    create: `${eduBookBuyURL}/create/`,
    update: `${eduBookBuyURL}/update/`,
    delete: `${eduBookBuyURL}/delete/`,
    deletes: `${eduBookBuyURL}/deletes/`,
    sync: `${eduBookBuyURL}/sync/`, //按学籍同步教材
    sumPrice: `${eduBookBuyURL}/sumPrice/`, //计算总价
  },


  // 退教材
  bookBuyCancel: {
    query: `${eduBookBuyCancelURL}/`,
    get: `${eduBookBuyCancelURL}/get/`,
    create: `${eduBookBuyCancelURL}/create/`,
    update: `${eduBookBuyCancelURL}/update/`,
    delete: `${eduBookBuyCancelURL}/delete/`,
    deletes: `${eduBookBuyCancelURL}/deletes/`,
    verify: `${eduBookBuyCancelURL}/verify/`,
  },

  // 选用教材-教学任务
  chooseMaterialTask: {

    get: `${eduGetTaskAndNum}/`,
  },

  // textbooks/submit_bookuse/
  // 提交教材选用
  submitBookuse: `${eduTextbookURL}/submit_bookuse/`,


}
