import {
    paymentOrderURL, //支付处理
    paymentPayOrderEntryURL,   // 交易流水详细
} from "../settings";

export default {
    // 支付功能 
    
    //   查询页面能调用的接口
    order: {
        create: `${paymentOrderURL}/createOrder/`, //创建订单并授权
        //   新增页面可调用的接口
        return: `${paymentOrderURL}/return/`, //支付成功处理
        refund: `${paymentOrderURL}/refund/`, //退款
        cancel: `${paymentOrderURL}/cancel/`, //支付取消处理
        unifiedOrder: `${paymentOrderURL}/unifiedOrder/`, //统一下单处理
    },

    payOrderEntry:{
        query: `${paymentPayOrderEntryURL}/`, //查询交易流水详细
        get: `${paymentPayOrderEntryURL}/get/`, //查询交易流水详细Id
    },






}
