import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 教务的重修支付接口
 

// 重修支付成功回调
export function restudyPaySuccess(params) { 
    return request({
        url: ApiPath.education.edu.eduOrder.eduOrder.restudyPaySuccess,
        method: 'get',      
        params
    })
}

// 重修支付成功回调
export function restudyRefundSuccess(params) { 
    return request({
        url: ApiPath.education.edu.eduOrder.eduOrder.restudyRefundSuccess,
        method: 'get',      
        params
    })
}


// 更改补考报名状态
export function updateGradeMakeUpStatus(data) { 
    return request({
        url: ApiPath.education.edu.eduOrder.eduOrder.updateGradeMakeUpStatus,
        method: 'post',      
        data
    })
}

// 更改重修报名状态
export function updateRestudyGradeStatus(data) { 
    return request({ 
        responseType: 'arraybuffer',  
        url: ApiPath.education.edu.eduOrder.eduOrder.updateRestudyGradeStatus,
        method: 'post',      
        data
    })
}
 
 