import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";


// 生成问卷
export function generateQuestion(id) {
    return request({
        url: `${EDU_COMMENT_SERVICE_PATH}/evalType/${id}/generate/`,
        method: 'post'
    })
}
// 评价类型

// 查询评价类型
export function queryEvalType(params) {
    return request({
        url: ApiPath.comment.evalType.evalType.query,
        method: 'get',
        params
    })
}

// 获取评价类型
export function getEvalType(id) {
    return request({
        url: ApiPath.comment.evalType.evalType.get.replace("<id>", id),
        method: 'get',
    })
}
 
// 新增评价类型
export function createEvalType(data) {
    return request({
        url: ApiPath.comment.evalType.evalType.create,
        method: 'post',
        data
    })
}

 
// 修改评价类型
export function updateEvalType(data) {
    return request({
        url: ApiPath.comment.evalType.evalType.update,
        method: 'post',
        data
    })
}
 
// 批量修改评价类型
export function updatesEvalType(data) {
    return request({
        url: ApiPath.comment.evalType.evalType.updates,
        method: 'post',
        data
    })
}

  
// 推送消息
export function pushMessageEvalType(data) {
    return request({
        url: ApiPath.comment.evalType.evalType.pushMessage,
        method: 'post',
        data
    })
}