import request from 'string-edu-middleware/utils/request'

import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";

// 被评价人教研室主部门维度 
export function queryBeReviewTeachOrgMainOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/be_review/teach_org_main_org/`,
    method: 'get',
    params
  })
} 


// 被评价人教研室维度
export function queryBeReviewTeachOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/be_review/teach_org/`,
    method: 'get',
    params
  })
} 


// 被评价人主部门
export function queryBeReviewMainOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/be_review/main_org/`,
    method: 'get',
    params
  })
}

// 被评价人部门
export function queryBeReviewOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/be_review/org/`,
    method: 'get',
    params
  })
}

// 被评价人主用户
export function queryBeReviewUser(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/be_review/user/`,
    method: 'get',
    params
  })
}


// 评价人主部门
export function queryReviewMainOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/review/main_org/`,
    method: 'get',
    params
  })
}

// 评价人部门
export function queryReviewOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/review/org/`,
    method: 'get',
    params
  })
}

// 评价人主用户
export function queryReviewUser(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/review/user/`,
    method: 'get',
    params
  })
}


// 评价人教研室主部门维度 
export function queryReviewTeachOrgMainOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/review/teach_org_main_org/`,
    method: 'get',
    params
  })
} 

// 评价人教研室维度
export function queryReviewTeachOrg(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/review/teach_org/`,
    method: 'get',
    params
  })
} 

  
// 得分查询导出接口 --得分
export function resultExport(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/result/`,
    method: 'get',
    params
  })
} 

  

// 问卷查询导出接口 -结果等级
export function subjectExport(params) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/evalStatistics/subject/`,
    method: 'get',
    params
  })
} 

