import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";

// 问卷网

// 班级得分统计
export function queryClassScore(params) {
    return request({
        url: ApiPath.comment.score.score.class,
        method: 'get',
        params
    })
}



// 教师得分统计
export function queryTeacherScore(params) {
    return request({
        url: ApiPath.comment.score.score.teacher,
        method: 'get',
        params
    })
}


// 计算得分
export function calculate(params) {
    return request({
        url: ApiPath.comment.score.score.calculate,
        method: 'get',
        params
    })
}


// 计算排名
export function rateCalculate(data) {
    return request({
        url: `${EDU_COMMENT_SERVICE_PATH}/rate/calculate/`,
        method: 'post',
        data
    })
}


