import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 评教内容

// 查询评教内容
export function querysubject(params) { 
    return request({
        url: ApiPath.comment.subject.subject.query,
        method: 'get',
        params
    })
} 

// 创建评教内容
export function createInClass(data) {
    return request({
        url: ApiPath.comment.subject.subject.createInClass,
        method: 'post',
        data
    })
}
 
 
// 查询已评价教师
export function queryAlReview(params) {
    return request({
        url: ApiPath.comment.subject.subject.queryAlReview,
        method: 'get',
        params
    })
}


// 删除随堂评价
export function batchDeleteInClass(data) {
    return request({
        url: ApiPath.comment.subject.subject.deleteInClass,
        method: 'post',
        data
    })
}

 