 
import request from 'string-edu-middleware/utils/request';

import { EDUCATION_PATH } from "string-edu-middleware/api/index";


// 查询退教材
export function queryBookBuyCancel(params) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/`,
        method: 'get',
        params
    })
}

// 获取退教材
export function getBookBuyCancel(params) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/get/`,
        method: 'get',
        params
    })
}

// 新增退教材
export function createBookBuyCancel(data) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/create/`,
        method: 'post',
        data
    })
}

// 修改退教材
export function updateBookBuyCancel(data) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/update/`,
        method: 'post',
        data
    })
}

// 删除退教材
export function deleteBookBuyCancel(data) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/delete/`,
        method: 'post',
        data
    })
}

// 批量删除退教材
export function moreDeleteBookBuyCancel(params) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/deletes/`,
        method: 'post',
        params
    })
}

// 审核退教材
export function verifyBookBuyCancel(params) {
    return request({
        url: `${EDUCATION_PATH}/education_edu/book_buy_cancel/verify/`,
        method: 'post',
        params
    })
}
