import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 成绩变更页


// 查询成绩变更
export function queryGradeChange(params) {
    return request({ 
        url: ApiPath.education_edu.grade.gradeChange.query,
        method: 'get',
        params
    })
}

// 单个查询成绩变更
export function getGradeChange(params) {
    return request({ 
        url: ApiPath.education_edu.grade.gradeChange.get,
        method: 'get',
        params
    })
}



//新增成绩变更
export function createGradeChange(data) {
    return request({
        url: ApiPath.education_edu.grade.gradeChange.create,
        method: 'post',
        data
    })
}


//修改成绩变更
export function updateGradeChange(data) {
    return request({
        url: ApiPath.education_edu.grade.gradeChange.update,
        method: 'post',
        data
    })
}


//删除成绩变更
export function deleteGradeChange(data) {
    return request({
        url: ApiPath.education_edu.grade.gradeChange.delete,
        method: 'post',
        data
    })
}


//批量删除成绩变更
export function deletesGradeChange(data) {
    return request({
        url: ApiPath.education_edu.grade.gradeChange.deletes,
        method: 'post',
        data
    })
}


//审核成绩变更
export function verifyGradeChange(data) {
    return request({
        url: ApiPath.education_edu.grade.gradeChange.verify,
        method: 'post',
        data
    })
}
