import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 学籍异动 

// 查询学籍异动
export function queryStudentStatusChange(params) {
    return request({ 
        url: ApiPath.education_edu.studentChange.studentStatusChange.query,
        method: 'get',
        params
    })
}

// 单个查询学籍异动
export function getStudentStatusChange(params) {
    return request({ 
        url: ApiPath.education_edu.studentChange.studentStatusChange.get,
        method: 'get',
        params
    })
}



//新增学籍异动
export function createStudentStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.studentStatusChange.create,
        method: 'post',
        data
    })
}


//修改学籍异动
export function updateStudentStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.studentStatusChange.update,
        method: 'post',
        data
    })
}


//删除学籍异动
export function deleteStudentStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.studentStatusChange.delete,
        method: 'post',
        data
    })
}


//批量删除学籍异动
export function deletesStudentStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.studentStatusChange.deletes,
        method: 'post',
        data
    })
}


//审核学籍异动
export function verifyStudentStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.studentStatusChange.verify,
        method: 'post',
        data
    })
}





// =================学籍异动-班级===========================

// 查询学籍异动-班级
export function queryClassStatusChange(params) {
    return request({ 
        url: ApiPath.education_edu.studentChange.classStatusChange.query,
        method: 'get',
        params
    })
}

// 单个查询学籍异动-班级
export function getClassStatusChange(params) {
    return request({ 
        url: ApiPath.education_edu.studentChange.classStatusChange.get,
        method: 'get',
        params
    })
}



//新增学籍异动-班级
export function createClassStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.classStatusChange.create,
        method: 'post',
        data
    })
}


//修改学籍异动-班级
export function updateClassStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.classStatusChange.update,
        method: 'post',
        data
    })
}


//删除学籍异动-班级
export function deleteClassStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.classStatusChange.delete,
        method: 'post',
        data
    })
}


//批量删除学籍异动-班级
export function deletesClassStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.classStatusChange.deletes,
        method: 'post',
        data
    })
}


//审核学籍异动-班级
export function verifyClassStatusChange(data) {
    return request({
        url: ApiPath.education_edu.studentChange.classStatusChange.verify,
        method: 'post',
        data
    })
}

