
import { mapGetters } from "vuex";

export default { 
  computed: {
    ...mapGetters("perm", ["currentPerm", "permissions"]),
    ...mapGetters("user", ["userInfo"])
  },

  methods: {
    // -------------------教务主体用-------------------  
    // 搜索
    hasTaskSearch() {
      // // return this.permissions.perms.search.hasPerm;
      return true;
    },

    hasTaskQuery() {
      // // return this.permissions.perms.query.hasPerm;
      return true;
    },


    // 重置
    hasTaskReset() {
      // // return this.permissions.perms.reset.hasPerm;
      return true;
    },

    hasTaskAdd() {
      // // return this.permissions.perms.add.hasPerm;
      return true;
    },

    hasTaskUpdate() {
      // // return this.permissions.perms.update.hasPerm;
      return true;
    },

    hasTaskDelete() {
      // // return this.permissions.perms.delete.hasPerm;
      return true;
    },



    // 同意
    hasTaskAgree() {
      // // return this.permissions.perms.agree.hasPerm;
      return true;
    },

    // 审核
    hasTaskExamine() {
      // // return this.permissions.perms.edu_examine.hasPerm;
      return true;
    }, 

    // 判断，当前角色是否是学生
    isCurrentStudent() {
      //if (this.permissions.perms.edu_query_single_student)
      // return this.currentPerm.code == this.permissions.perms.edu_query_single_student.code;
      // return false;
      return false;
    },

    // 判断，当前角色是否是教师
    isCurrentTeacher() {
      //if (this.permissions.perms.edu_query_single_teacher)
      // return this.currentPerm.code == this.permissions.perms.edu_query_single_teacher.code;
      // return false;
      return false;
    },


    // 判断，当前角色是否是全校
    isCurrentCollege() {
      //if (this.permissions.perms.query_college)
      // return this.currentPerm.code == this.permissions.perms.query_college.code;
      // return false;
      return true;
    },

    // 判断，当前角色是否是开课部门（或二级学院）
    isCurrentOrg() {
      //if (this.permissions.perms.query_org)
      // return this.currentPerm.code == this.permissions.perms.query_org.code;
      // return false;
      return false;
    },

    // 判断，当前角色是否是教研室权限
    isCurrentTeachingResearch() {
      // if (this.permissions.perms.edu_query_teaching_research)
      // return this.currentPerm.code == this.permissions.perms.edu_query_teaching_research.code;
      // return false;
      return true;
    },


    // 判断，当前角色是否是班级
    isCurrentClass() {
      // if (this.permissions.perms.edu_query_class)
      // return this.currentPerm.code == this.permissions.perms.edu_query_teaching_research.code;
      // return false;
      return true;
    },

    // 判断，当前角色是否是教室
    isCurrentRoom() {
      // if (this.permissions.perms.edu_query_room)
      // return this.currentPerm.code == this.permissions.perms.edu_query_teaching_research.code;
      // return false;
      return true;
    },
































    // -------------------教务主体用 END------------------- 

    hasDelete() {
      // // return this.permissions.perms.delete.hasPerm;
    },
    hasUpdate() {
      // // return this.permissions.perms.update.hasPerm;
    },
    hasAdd() {
      // // return this.permissions.perms.add.hasPerm;
    },

    hasQuery() {
      // // return this.permissions.perms.query.hasPerm;
    },
    hasImport() {
      // // return this.permissions.perms.import.hasPerm;
    }
  },
}


