

import {
 getTermOption,//获取当前学期数据
 getCurrentTermId,//当前学期Id
 getBaseDepartmentList,//开课部门数据
} from "string-edu-middleware/utils/education-cache/base"


const state = {
 baseTermList: getTermOption(),//学期
 baseCurrentTermId: getCurrentTermId(),//当前学期Id
 baseDepartmentList: getBaseDepartmentList(), //教学单位 
 // userDepartmentId: "",//用户当前教学单位  
 // orgOption: [],//二级学院
 // XZOrgOption: [],//行政部门    
}

const getters = {
 baseDepartmentList: state => state.baseDepartmentList,
 baseTermList: state => state.baseTermList,
 baseCurrentTermId: state => state.baseCurrentTermId,
}


const mutations = { 

 // 存储学期数据源
 save_term_option: (state, baseTermList) => {
  state.baseTermList = baseTermList;
 },
  // 存储当前学期Id
 save_current_term_id: (state, baseCurrentTermId) => {
  state.baseCurrentTermId = baseCurrentTermId;
 },

 // 存储教学单位
 save_department_option: (state, baseDepartmentList) => {
  state.baseDepartmentList = baseDepartmentList;
 },

 // 存储当前教学单位
 save_user_department_id: (state, userDepartmentId) => {
  state.userDepartmentId = userDepartmentId;
 },

 // // 存储二级学院
 // save_org_option: (state, orgOption) => {
 //  state.orgOption = orgOption;
 // },

 // // 存储行政部门
 // save_xz_org_option: (state, XZOrgOption) => {
 //  state.XZOrgOption = XZOrgOption;
 // },





}

const actions = {








}

export default {
 namespaced: true,
 getters,
 state,
 mutations,
 actions
}

