import store from '@/store'


import situation from "@/components/perm/index" 

// 这个函数是给刷新的时候用的，如果页面刷新，那么vuex的数据就会丢失，就需要对vuex里面的数据进行重新赋值 
export function getSessionStroageUserInformation(route) { 
    return new Promise((resolve, reject) => { 
        // 审核页面独有
        if (route.params.page != undefined) { 
            // 记录路由权限 
            store.commit("task/SET_EXAMINE_STATUS", situation.situation.verify[route.params.page]);
        } 
        
        // 判断-是否需要记录权限
        if (!route.params.perm) {
            resolve({ code: 1, message: "不用记录权限" });
            return false;
        } 
      
     
        resolve({ code: 1, message: "通过" });


    });

} 